### Type parameters

- #### T

### Hierarchy

- PromiseLike

## Index

### Methods

- then

## Methods

### then

- then<TResult1, TResult2>(onfulfilled?: (value: T) => TResult1 | PromiseLike<TResult1>, onrejected?: (reason: any) => TResult2 | PromiseLike<TResult2>): PromiseLike<TResult1 | TResult2>

- Attaches callbacks for the resolution and/or rejection of the Promise.

  #### Type parameters

  - #### TResult1 = T

  - #### TResult2 = never

  #### Parameters

  - ##### Optional onfulfilled: (value: T) => TResult1 | PromiseLike<TResult1>

    The callback to execute when the Promise is resolved.

    - - (value: T): TResult1 | PromiseLike<TResult1>

      - #### Parameters

        - ##### value: T

        #### Returns TResult1 | PromiseLike<TResult1>

  - ##### Optional onrejected: (reason: any) => TResult2 | PromiseLike<TResult2>

    The callback to execute when the Promise is rejected.

    - - (reason: any): TResult2 | PromiseLike<TResult2>

      - #### Parameters

        - ##### reason: any

        #### Returns TResult2 | PromiseLike<TResult2>

  #### Returns PromiseLike<TResult1 | TResult2>

  A Promise for the completion of which ever callback is executed.

Generated using TypeDoc